Updates a support event subscription.
EXAMPLES:
cURL:
supportEventSubscription="organizations/123456789/supportEventSubscriptions/abcdef123456"
curl \
--request PATCH \
--header "Authorization: Bearer $(gcloud auth print-access-token)" \
--header "Content-Type: application/json" \
--data '{
"pubSubTopic": "projects/my-project/topics/new-topic"
}' \
"https://cloudsupport.googleapis.com/v2beta/$supportEventSubscription?updateMask=pubSubTopic"
Python:
import googleapiclient.discovery
apiVersion = "v2beta"
supportApiService = googleapiclient.discovery.build(
serviceName="cloudsupport",
version=apiVersion,
discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={apiVersion}",
)
request = supportApiService.supportEventSubscriptions().patch(
name="organizations/123456789/supportEventSubscriptions/abcdef123456",
body={
"pubSubTopic": "projects/my-project/topics/new-topic"
},
)
print(request.execute())
HTTP request
PATCH https://cloudsupport.googleapis.com/v2beta/{supportEventSubscription.name=*/*/supportEventSubscriptions/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
supportEventSubscription.name |
Identifier. The resource name of the support event subscription. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Optional. The list of fields to update. The only supported value is pubSubTopic. |
Request body
The request body contains an instance of SupportEventSubscription.
Response body
If successful, the response body contains an instance of SupportEventSubscription.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloudsupporthttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.